From ec6adcfb0d6b5583e132264cb84a3ba897a5da2b Mon Sep 17 00:00:00 2001
From: Forrest Voight <forrest@forre.st>
Date: Mon, 22 Jan 2018 13:50:33 -0500
Subject: [PATCH] Fix track/rotated oval pad collision detection

---
 pcbnew/drc_clearance_test_functions.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/pcbnew/drc_clearance_test_functions.cpp b/pcbnew/drc_clearance_test_functions.cpp
index e395e7d..1ab6af0 100644
--- a/pcbnew/drc_clearance_test_functions.cpp
+++ b/pcbnew/drc_clearance_test_functions.cpp
@@ -1052,6 +1052,9 @@ bool DRC::checkClearanceSegmToPad( const D_PAD* aPad, int aSegmentWidth, int aMi
         {
             std::swap( padHalfsize.x, padHalfsize.y );
             orient = AddAngles( orient, 900 );
+            // recompute start/endPoint since they depend on orient
+            RotatePoint( &startPoint, m_padToTestPos, -900 );
+            RotatePoint( &endPoint, m_padToTestPos, -900 );
         }
 
         // here, padHalfsize.x is the radius of rounded ends.
-- 
2.7.4

